## morse2ascii 0.2%2Bdfsg

=== debian/changelog ===
morse2ascii (0.2+dfsg-3build1) noble; urgency=medium

  * No change rebuild to gain buildinfo.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Sat, 17 Feb 2024 18:43:14 +0000

morse2ascii (0.2+dfsg-3) unstable; urgency=medium

  * debian/watch: added a fake site to explain about the current
    status of the original upstream homepage.

 -- Dominik George <nik@naturalnet.de>  Wed, 25 Jan 2017 15:03:49 +0100

morse2ascii (0.2+dfsg-2) unstable; urgency=medium

  * Move $(LIBS) to end of $(CC) call. (Closes: #733645)
  * Raise Standards-Version and compat level.
    + No changes needed.
  * Fix copyright file style.
  * Enable hardening flags.
  * Make package lintian clean.
  * Add VCS URLs.

 -- Dominik George <nik@naturalnet.de>  Mon, 03 Oct 2016 15:12:54 +0200

morse2ascii (0.2+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #726660)

 -- Dominik George <nik@naturalnet.de>  Thu, 17 Oct 2013 22:42:01 +0200

## morse2ascii 0.2+dfsg

=== Makefile ===
EXE		= morse2ascii
CFLAGS	+= -O2 -s
PREFIX	= /usr/local
BINDIR	= $(PREFIX)/bin
LIBS	= -lm

all:
	$(CC) $(CFLAGS) -c morse2ascii.c
	$(CC) $(CFLAGS) -c resample2.c
	$(CC) $(CFLAGS) -o $(EXE) $(LIBS) morse2ascii.o resample2.o

install:
	install -m 755 -d $(BINDIR)
	install -m 755 $(EXE) $(BINDIR)/$(EXE)

.PHONY:
	install

=== debian/control ===
Source: morse2ascii
Section: hamradio
Priority: optional
Maintainer: Dominik George <nik@naturalnet.de>
Build-Depends:
 debhelper (>= 10),
Standards-Version: 3.9.8
Homepage: http://aluigi.altervista.org/mytoolz.htm
Vcs-Git: https://anonscm.debian.org/git/collab-maint/morse2ascii.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/morse2ascii.git

Package: morse2ascii
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: tool for decoding the morse codes from a PCM WAV file
 This tool employs a volume/peak based method to decode the morse codes
 from a PCM WAV file as well as from text and RAW PCM files.
 .
 It contains some options for parsing abbreviations, prosigns and qcodes.

=== debian/rules ===
#!/usr/bin/make -f

DEB_VERSION:=$(shell dpkg-parsechangelog -n1 | sed -n '/^Version: /s///p')
DEB_UPSTREAM_VERSION:=$(shell DEB_VERSION=${DEB_VERSION}; echo $${DEB_VERSION%-*})

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ 

get-orig-source:
	rm -rf debian/tmp; \
		mkdir -p debian/tmp/morse2ascii-$(DEB_UPSTREAM_VERSION).orig
	cd debian/tmp; \
		wget http://aluigi.altervista.org/mytoolz/morse2ascii.zip
	cd debian/tmp; \
		echo "5a9fe366f1de016ecaf37bea02237f22aacd365a968a28267c98fc626664918ca024bc8b56818fed2695036d5b8d7600ad9d1b5920178353dd46e5a49efa85bb *morse2ascii.zip" \
		| sha512sum -c
	cd debian/tmp/morse2ascii-$(DEB_UPSTREAM_VERSION).orig; \
		unzip ../morse2ascii.zip; rm morse2ascii.exe
	cd debian/tmp; \
		tar cvJf ../../morse2ascii_$(DEB_UPSTREAM_VERSION).orig.tar.xz \
		morse2ascii-$(DEB_UPSTREAM_VERSION).orig/
	rm -rf debian/tmp

## morse2ascii 0.2.1+dfsg

=== Makefile ===
EXE		= morse2ascii
CFLAGS	+= -O2 -s
PREFIX	= /usr/local
BINDIR	= $(PREFIX)/bin
LIBS	= -lm

all:
	$(CC) $(CFLAGS) -o $(EXE) $(LIBS) morse2ascii.c

install:
	install -m 755 -d $(BINDIR)
	install -m 755 $(EXE) $(BINDIR)/$(EXE)

.PHONY:
	install

=== debian/changelog ===
morse2ascii (0.2.1+dfsg-1) unstable; urgency=medium

  [ Dominik George ]
  * Update my mail address.
  * Move to Salsa.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/rules: Remove trailing whitespaces

  [ Andreas Tille ]
  * New upstream version
    Closes: #1081367
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * Update renamed lintian tag names in lintian overrides.
  * Remove overrides for lintian tags that are no longer supported:
    no-upstream-changelog

 -- Andreas Tille <tille@debian.org>  Wed, 13 Nov 2024 11:27:49 +0100

=== debian/control ===
Source: morse2ascii
Section: hamradio
Priority: optional
Maintainer: Dominik George <natureshadow@debian.org>
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.7.0
Homepage: https://aluigi.altervista.org/mytoolz.htm
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/morse2ascii.git
Vcs-Browser: https://salsa.debian.org/debian/morse2ascii

Package: morse2ascii
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: tool for decoding the morse codes from a PCM WAV file
 This tool employs a volume/peak based method to decode the morse codes
 from a PCM WAV file as well as from text and RAW PCM files.
 .
 It contains some options for parsing abbreviations, prosigns and qcodes.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

get-orig-source:
	rm -rf debian/tmp; \
		mkdir -p debian/tmp/morse2ascii-$(DEB_VERSION_UPSTREAM).orig
	cd debian/tmp; \
		wget http://aluigi.altervista.org/mytoolz/morse2ascii.zip
	cd debian/tmp; \
		echo "5a9fe366f1de016ecaf37bea02237f22aacd365a968a28267c98fc626664918ca024bc8b56818fed2695036d5b8d7600ad9d1b5920178353dd46e5a49efa85bb *morse2ascii.zip" \
		| sha512sum -c
	cd debian/tmp/morse2ascii-$(DEB_VERSION_UPSTREAM).orig; \
		unzip ../morse2ascii.zip; rm morse2ascii.exe
	cd debian/tmp; \
		tar cvJf ../../morse2ascii_$(DEB_VERSION_UPSTREAM).orig.tar.xz \
		morse2ascii-$(DEB_VERSION_UPSTREAM).orig/
	rm -rf debian/tmp
